% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-02: alternate firing with Binary semaphore
% Reggie.Davidrajuh@uis.no (c) 12 April 2023  
% File: Main Simulation File (msf.m)

clear all; clc;

global global_info
global_info.semaphore = 'tX1';    % first, tX1 starts firing; then, tX2 
global_info.STOP_AT = 100;  % Option: stop the simulations after 100 TU
 
pns = pnstruct('alternate_pdf');

dynamicpart.m0 = {'pSTART', 4};
dynamicpart.ft = {'tX1', 10, 'tX2', 20}; 
pni = initialdynamics(pns, dynamicpart);

sim = gpensim(pni);
prnss(sim);
plotp(sim, {'p1', 'p2'});
